local namem = require "namem"
function love.load()
	love.math.setRandomSeed(love.math.random(os.time()))
	namem.setRandomSeed(love.math.random(os.time()))
	names = {}
	namesProduced = 0
	function mekNem()
		for i = 1,90 do
			namesProduced = namesProduced + 1
			N = namem.makeName(4,6)
			table.insert(names, {name = N})
		end
	end
	mekNem()
end
function love.draw()
	love.graphics.setBackgroundColor(0, 0, 0)
	for i, v in ipairs(names) do
		love.graphics.setColor(0, 255, 0)
		if i > 30 and i <= 60 then
			love.graphics.print(v.name, 100, (i - 30) * 12)
		elseif i > 60 then
			love.graphics.print(v.name, 200, (i - 60) * 12)
		else
			love.graphics.print(v.name, 10, i * 12)
		end
	end
	love.graphics.print("Produced: " .. namesProduced .. " - Seed: " .. namem.getRandomSeed(), 10, 380)
end
function love.keypressed(key, unicode)
    if key == "r" then
		names = {}
		mekNem()
	end
	if key == "s" then
		namem.setRandomSeed(love.math.random(os.time()))
	end
end
function love.mousepressed(x, y, button)
	if button == "l" then
		names = {}
		mekNem()
	end
end